Index: trunk/ab5.0/abdev/abdev/RadProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 626)
+++ trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 629)
@@ -17,6 +17,6 @@
 	while(hChild){
 		i=GetWndNum(hChild);
-		if(MdiInfo[i].DocType==WNDTYPE_RAD){
-			if(lstrcmpi(MdiInfo[i].path.c_str(),windowInfo.GetName().c_str())==0) break;
+		if(MdiInfo[i]->DocType==WNDTYPE_RAD){
+			if(lstrcmpi(MdiInfo[i]->path.c_str(),windowInfo.GetName().c_str())==0) break;
 		}
 		hChild=GetNextWindow(hChild,GW_HWNDNEXT);
@@ -46,4 +46,5 @@
 
 	mdic.lParam=0;
+	mdic.style |= WS_VISIBLE | WS_CHILD | WS_CLIPSIBLINGS | WS_CLIPCHILDREN | WS_SYSMENU | WS_CAPTION | WS_THICKFRAME | WS_MINIMIZEBOX | WS_MAXIMIZEBOX;
 	hChild=(HWND)SendMessage(hClient,WM_MDICREATE,0,(long)&mdic);	//ウィンドウ作成
 
@@ -80,11 +81,11 @@
 	//ウィンドウのID登録
 	HDC hdc;
-	MdiInfo.push_back( MDIINFO() );
+	MdiInfo.push_back( new MDIINFO() );
 	i = MdiInfo.size()-1;
 
-	MdiInfo[i].hwnd=hChild;
-	MdiInfo[i].DocType=WNDTYPE_RAD;
-	MdiInfo[i].title = windowInfo.GetName();
-	MdiInfo[i].path = windowInfo.GetName();
+	MdiInfo[i]->hwnd=hChild;
+	MdiInfo[i]->DocType=WNDTYPE_RAD;
+	MdiInfo[i]->title = windowInfo.GetName();
+	MdiInfo[i]->path = windowInfo.GetName();
 
 
@@ -93,9 +94,9 @@
 	////////////////////////////
 
-	MdiInfo[i].MdiRadInfo=(MDIRADINFO *)GlobalAlloc(GPTR,sizeof(MDIRADINFO));
-
-	MdiInfo[i].MdiRadInfo->hTools=hTools;
-	MdiInfo[i].MdiRadInfo->hProperty=hProperty;
-	MdiInfo[i].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),hProperty,(DLGPROC)RadProperty_WindowProc);
+	MdiInfo[i]->MdiRadInfo=(MDIRADINFO *)GlobalAlloc(GPTR,sizeof(MDIRADINFO));
+
+	MdiInfo[i]->MdiRadInfo->hTools=hTools;
+	MdiInfo[i]->MdiRadInfo->hProperty=hProperty;
+	MdiInfo[i]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),hProperty,(DLGPROC)RadProperty_WindowProc);
 
 	SCROLLINFO ScrollInfo;
@@ -103,23 +104,23 @@
 	ScrollInfo.fMask=SIF_POS;
 	ScrollInfo.nPos=0;
-	SetScrollInfo(MdiInfo[i].MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
-
-	MdiInfo[i].MdiRadInfo->hRad=hRad;
-
-	MdiInfo[i].MdiRadInfo->hSupport=hSupport;
+	SetScrollInfo(MdiInfo[i]->MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
+
+	MdiInfo[i]->MdiRadInfo->hRad=hRad;
+
+	MdiInfo[i]->MdiRadInfo->hSupport=hSupport;
 
 	hdc=GetDC(hRad);
-	MdiInfo[i].MdiRadInfo->hBitmap=CreateCompatibleBitmap(hdc,ScreenX*2,ScreenY*2);
-	MdiInfo[i].MdiRadInfo->hMemDC=CreateCompatibleDC(hdc);
-	MdiInfo[i].MdiRadInfo->hOldBitmap=
-		(HBITMAP)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,MdiInfo[i].MdiRadInfo->hBitmap);
+	MdiInfo[i]->MdiRadInfo->hBitmap=CreateCompatibleBitmap(hdc,ScreenX*2,ScreenY*2);
+	MdiInfo[i]->MdiRadInfo->hMemDC=CreateCompatibleDC(hdc);
+	MdiInfo[i]->MdiRadInfo->hOldBitmap=
+		(HBITMAP)SelectObject(MdiInfo[i]->MdiRadInfo->hMemDC,MdiInfo[i]->MdiRadInfo->hBitmap);
 	ReleaseDC(hRad,hdc);
 
-	for(i2=0;i2<MAX_RAD_SELITEM;i2++) MdiInfo[i].MdiRadInfo->SelectingItem[i2]=-1;
-	MdiInfo[i].MdiRadInfo->ButtonSelect=IDC_TOOL_MOUSE;
+	for(i2=0;i2<MAX_RAD_SELITEM;i2++) MdiInfo[i]->MdiRadInfo->SelectingItem[i2]=-1;
+	MdiInfo[i]->MdiRadInfo->ButtonSelect=IDC_TOOL_MOUSE;
 
 	//変更情報を初期化
-	MdiInfo[i].MdiRadInfo->undo.NowPos=0;
-	memset(MdiInfo[i].MdiRadInfo->undo.Command,0,sizeof(int)*MAX_UNDONUM);
+	MdiInfo[i]->MdiRadInfo->undo.NowPos=0;
+	memset(MdiInfo[i]->MdiRadInfo->undo.Command,0,sizeof(int)*MAX_UNDONUM);
 
 	DrawRadWindow(i,&windowInfo);
@@ -286,6 +287,6 @@
 	//////////////////////////////
 	//プロパティウィンドウを設定
-	DestroyWindow(MdiInfo[WndNum].MdiRadInfo->hProp_Dlg);
-	MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
+	DestroyWindow(MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg);
+	MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
 
 	SCROLLINFO ScrollInfo;
@@ -293,9 +294,9 @@
 	ScrollInfo.fMask=SIF_POS;
 	ScrollInfo.nPos=0;
-	SetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
+	SetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
 
 	RECT rect;
-	GetClientRect(MdiInfo[WndNum].MdiRadInfo->hProperty,&rect);
-	SendMessage(MdiInfo[WndNum].MdiRadInfo->hProperty,WM_SIZE,0,MAKELONG(rect.right,rect.bottom));
+	GetClientRect(MdiInfo[WndNum]->MdiRadInfo->hProperty,&rect);
+	SendMessage(MdiInfo[WndNum]->MdiRadInfo->hProperty,WM_SIZE,0,MAKELONG(rect.right,rect.bottom));
 }
 
@@ -344,20 +345,20 @@
 		{
 			const ActiveBasic::PM::ChildWindowInfo *pChildInfo = pWindowInfo->childWindowInfos[i];
-			if(i==MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]) continue;
+			if(i==MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]) continue;
 			if(pChildInfo->Control !=
-				pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control) continue;
+				pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control) continue;
 
 			if(NewRect->left<OldRect->left){
 				if(pChildInfo->pos.x
 											>
-					NewRect->left - MdiInfo[WndNum].MdiRadInfo->ClientPos.x
+					NewRect->left - MdiInfo[WndNum]->MdiRadInfo->ClientPos.x
 					&&
 					pChildInfo->pos.x-10
 											<
-					NewRect->left - MdiInfo[WndNum].MdiRadInfo->ClientPos.x){
+					NewRect->left - MdiInfo[WndNum]->MdiRadInfo->ClientPos.x){
 
 					//左側をストップする
 					x=NewRect->right-NewRect->left;
-					NewRect->left=pChildInfo->pos.x + MdiInfo[WndNum].MdiRadInfo->ClientPos.x;
+					NewRect->left=pChildInfo->pos.x + MdiInfo[WndNum]->MdiRadInfo->ClientPos.x;
 					NewRect->right=NewRect->left+x;
 
@@ -376,13 +377,13 @@
 				if(pChildInfo->pos.y
 											>
-					NewRect->top - MdiInfo[WndNum].MdiRadInfo->ClientPos.y
+					NewRect->top - MdiInfo[WndNum]->MdiRadInfo->ClientPos.y
 					&&
 					pChildInfo->pos.y-10
 											<
-					NewRect->top - MdiInfo[WndNum].MdiRadInfo->ClientPos.y){
+					NewRect->top - MdiInfo[WndNum]->MdiRadInfo->ClientPos.y){
 
 					//左側をストップする
 					y=NewRect->bottom-NewRect->top;
-					NewRect->top=pChildInfo->pos.y + MdiInfo[WndNum].MdiRadInfo->ClientPos.y;
+					NewRect->top=pChildInfo->pos.y + MdiInfo[WndNum]->MdiRadInfo->ClientPos.y;
 					NewRect->bottom=NewRect->top+y;
 
@@ -409,5 +410,5 @@
 	if(swLineStop&&sw==0){
 		BitBlt(hdc,0,0,ScreenX*2,ScreenY*2,
-			MdiInfo[WndNum].MdiRadInfo->hMemDC,0,0,SRCCOPY);
+			MdiInfo[WndNum]->MdiRadInfo->hMemDC,0,0,SRCCOPY);
 		swLineStop=0;
 	}
@@ -415,5 +416,5 @@
 		BitBlt(hdc,rect.left-LEVER_THICK, rect.top-LEVER_THICK,
 			rect.right-rect.left+LEVER_THICK*2, rect.bottom-rect.top+LEVER_THICK*2,
-			MdiInfo[WndNum].MdiRadInfo->hMemDC,x-LEVER_THICK,y-LEVER_THICK,SRCCOPY);
+			MdiInfo[WndNum]->MdiRadInfo->hMemDC,x-LEVER_THICK,y-LEVER_THICK,SRCCOPY);
 	}
 
@@ -440,5 +441,5 @@
 	ActiveBasic::PM::WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
-	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]==SELECT_WINDOW){
+	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]==SELECT_WINDOW){
 		//ウィンドウ軸を選択
 		rect->left=0;
@@ -449,8 +450,8 @@
 	else{
 		//子ウィンドウを選択
-		rect->left=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]]->pos.x-LEVER_THICK;
-		rect->top=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]]->pos.y-LEVER_THICK;
-		rect->right=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]]->pos.x+pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]]->size.cx+LEVER_THICK;
-		rect->bottom=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]]->pos.y+pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]]->size.cy+LEVER_THICK;
+		rect->left=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]]->pos.x-LEVER_THICK;
+		rect->top=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]]->pos.y-LEVER_THICK;
+		rect->right=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]]->pos.x+pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]]->size.cx+LEVER_THICK;
+		rect->bottom=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]]->pos.y+pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[num]]->size.cy+LEVER_THICK;
 	}
 }
@@ -472,5 +473,5 @@
 
 	i=0;
-	while(MdiInfo[WndNum].MdiRadInfo->SelectingItem[i]!=-1||i==0){
+	while(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[i]!=-1||i==0){
 		GetSelectingRect(WndNum,WndInfoNum,i,&tempRect);
 		RectNaturalFormat(&tempRect,&rect);
@@ -535,57 +536,57 @@
 	ActiveBasic::PM::WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
-	DestroyWindow(MdiInfo[WndNum].MdiRadInfo->hProp_Dlg);
-	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
-		MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
+	DestroyWindow(MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg);
+	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
+		MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_WindowProc);
 
 		ScrollInfo.cbSize=sizeof(SCROLLINFO);
 		ScrollInfo.fMask=SIF_POS;
 		ScrollInfo.nPos=0;
-		SetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
-
-		GetClientRect(MdiInfo[WndNum].MdiRadInfo->hProperty,&rect);
-		SendMessage(MdiInfo[WndNum].MdiRadInfo->hProperty,WM_SIZE,0,MAKELONG(rect.right,rect.bottom));
+		SetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
+
+		GetClientRect(MdiInfo[WndNum]->MdiRadInfo->hProperty,&rect);
+		SendMessage(MdiInfo[WndNum]->MdiRadInfo->hProperty,WM_SIZE,0,MAKELONG(rect.right,rect.bottom));
 	}
 	else{
-		if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_BUTTON)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_BUTTON),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ButtonProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_CHECKBOX)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_CHECKBOX),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_CheckBoxProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_COMBOBOX),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ComboBoxProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_EDIT),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_EditProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_GROUPBOX)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_GROUPBOX),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_GroupBoxProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_HSCROLLBAR)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_IMAGEBOX),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ImageBoxProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTBOX),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListBoxProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_LISTVIEW)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTVIEW),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListViewProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_PROGRESSBAR)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_PROGRESSBAR),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ProgressBarProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_RADIOBUTTON),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_RadioButtonProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_STATIC),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_StaticProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_TRACKBAR)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TRACKBAR),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_TrackBarProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_TREEVIEW)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TREEVIEW),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_TreeViewProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_UPDOWN)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_UPDOWN),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_UpDownProc);
-		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_VSCROLLBAR)
-			MdiInfo[WndNum].MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum].MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
+		if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_BUTTON)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_BUTTON),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ButtonProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_CHECKBOX)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_CHECKBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_CheckBoxProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_COMBOBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ComboBoxProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_EDIT),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_EditProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_GROUPBOX)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_GROUPBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_GroupBoxProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_HSCROLLBAR)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_IMAGEBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ImageBoxProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTBOX),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListBoxProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTVIEW)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_LISTVIEW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ListViewProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_PROGRESSBAR)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_PROGRESSBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ProgressBarProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_RADIOBUTTON),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_RadioButtonProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_STATIC),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_StaticProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_TRACKBAR)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TRACKBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_TrackBarProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_TREEVIEW)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_TREEVIEW),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_TreeViewProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_UPDOWN)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_UPDOWN),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_UpDownProc);
+		else if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_VSCROLLBAR)
+			MdiInfo[WndNum]->MdiRadInfo->hProp_Dlg=CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_SCROLLBAR),MdiInfo[WndNum]->MdiRadInfo->hProperty,(DLGPROC)RadProperty_ScrollBarProc);
 
 		ScrollInfo.cbSize=sizeof(SCROLLINFO);
 		ScrollInfo.fMask=SIF_POS;
 		ScrollInfo.nPos=0;
-		SetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
-
-		GetClientRect(MdiInfo[WndNum].MdiRadInfo->hProperty,&rect);
-		SendMessage(MdiInfo[WndNum].MdiRadInfo->hProperty,WM_SIZE,0,MAKELONG(rect.right,rect.bottom));
+		SetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hProperty,SB_VERT,&ScrollInfo,1);
+
+		GetClientRect(MdiInfo[WndNum]->MdiRadInfo->hProperty,&rect);
+		SendMessage(MdiInfo[WndNum]->MdiRadInfo->hProperty,WM_SIZE,0,MAKELONG(rect.right,rect.bottom));
 	}
 }
@@ -599,8 +600,8 @@
 			(pWindowInfo->childWindowInfos[i]->GetStyle()&0x000F)!=CBS_SIMPLE){
 			//コンボ ボックスの場合は表示部分をターゲットに選択する（高さ20pixel）
-			if(x>=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x&&
-				x<=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx&&
-				y>=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y&&
-				y<=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+20){
+			if(x>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x&&
+				x<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx&&
+				y>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y&&
+				y<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+20){
 				break;
 			}
@@ -609,14 +610,14 @@
 			//グループ ボックスの場合は中央をあける
 			if((
-				x>=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x&&
-				x<=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx&&
-				y>=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y&&
-				y<=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy
+				x>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x&&
+				x<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx&&
+				y>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y&&
+				y<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy
 				)&&
 				(!(
-				x>=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+LEVER_THICK*2&&
-				x<=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx-LEVER_THICK*2&&
-				y>=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+LEVER_THICK*3&&
-				y<=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy-LEVER_THICK*2
+				x>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+LEVER_THICK*2&&
+				x<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx-LEVER_THICK*2&&
+				y>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+LEVER_THICK*3&&
+				y<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy-LEVER_THICK*2
 				))
 				){
@@ -624,8 +625,8 @@
 			}
 		}
-		else if(x>=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x&&
-			x<=MdiInfo[WndNum].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx&&
-			y>=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y&&
-			y<=MdiInfo[WndNum].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy){
+		else if(x>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x&&
+			x<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx&&
+			y>=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y&&
+			y<=MdiInfo[WndNum]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy){
 			break;
 		}
@@ -637,15 +638,15 @@
 	int i;
 
-	for(i=1;i<MAX_RAD_SELITEM;i++) MdiInfo[WndNum].MdiRadInfo->SelectingItem[i]=-1;
+	for(i=1;i<MAX_RAD_SELITEM;i++) MdiInfo[WndNum]->MdiRadInfo->SelectingItem[i]=-1;
 	i=GetItemNumOnMouse(WndNum,WndInfoNum,x,y);
 
 	if(i==-1){
-		if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
-			MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]=SELECT_WINDOW;
+		if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
+			MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]=SELECT_WINDOW;
 			ChangePropertyWindow(WndNum,WndInfoNum);
 		}
 	}
 	else{
-		MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]=i;
+		MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]=i;
 		ChangePropertyWindow(WndNum,WndInfoNum);
 	}
@@ -662,19 +663,19 @@
 	ActiveBasic::PM::WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
-	for(i=1;i<MAX_RAD_SELITEM;i++) MdiInfo[WndNum].MdiRadInfo->SelectingItem[i]=-1;
+	for(i=1;i<MAX_RAD_SELITEM;i++) MdiInfo[WndNum]->MdiRadInfo->SelectingItem[i]=-1;
 	RectNaturalFormat(pRect,&rect);
-	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW) sw=0;
+	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW) sw=0;
 	else sw=1;
 	for(i=pWindowInfo->childWindowInfos.size()-1,i2=0;i>=0;i--){
-		if(rect.left <= pWindowInfo->childWindowInfos[i]->pos.x+MdiInfo[WndNum].MdiRadInfo->ClientPos.x&&
-			rect.top <= pWindowInfo->childWindowInfos[i]->pos.y+MdiInfo[WndNum].MdiRadInfo->ClientPos.y&&
-			rect.right >= pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx+MdiInfo[WndNum].MdiRadInfo->ClientPos.x&&
-			rect.bottom >= pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy+MdiInfo[WndNum].MdiRadInfo->ClientPos.y){
-			MdiInfo[WndNum].MdiRadInfo->SelectingItem[i2]=i;
+		if(rect.left <= pWindowInfo->childWindowInfos[i]->pos.x+MdiInfo[WndNum]->MdiRadInfo->ClientPos.x&&
+			rect.top <= pWindowInfo->childWindowInfos[i]->pos.y+MdiInfo[WndNum]->MdiRadInfo->ClientPos.y&&
+			rect.right >= pWindowInfo->childWindowInfos[i]->pos.x+pWindowInfo->childWindowInfos[i]->size.cx+MdiInfo[WndNum]->MdiRadInfo->ClientPos.x&&
+			rect.bottom >= pWindowInfo->childWindowInfos[i]->pos.y+pWindowInfo->childWindowInfos[i]->size.cy+MdiInfo[WndNum]->MdiRadInfo->ClientPos.y){
+			MdiInfo[WndNum]->MdiRadInfo->SelectingItem[i2]=i;
 			i2++;
 		}
 	}
-	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW||
-		(MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW&&sw)){
+	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW||
+		(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW&&sw)){
 		ChangePropertyWindow(WndNum,WndInfoNum);
 	}
@@ -686,12 +687,12 @@
 	ActiveBasic::PM::WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
-	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[1]!=-1){
+	if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[1]!=-1){
 		i=0;
-		while(MdiInfo[WndNum].MdiRadInfo->SelectingItem[i]!=-1||i==0){
+		while(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[i]!=-1||i==0){
 			GetSelectingRect(WndNum,WndInfoNum,i,&rect);
 
 			if(x>=rect.left+LEVER_THICK&&x<=rect.right-LEVER_THICK&&
 				y>=rect.top+LEVER_THICK&&y<=rect.bottom-LEVER_THICK){
-					if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[i]]->Control==CT_GROUPBOX){
+					if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[i]]->Control==CT_GROUPBOX){
 					//グループボックスの場合は中央をあける
 					if(!(x>=rect.left+LEVER_THICK*2&&x<=rect.right-LEVER_THICK*2&&
@@ -708,8 +709,8 @@
 		GetSelectingRect(WndNum,WndInfoNum,0,&rect);
 
-		if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
+		if(MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
 			if(x>=rect.left+LEVER_THICK&&x<=rect.right-LEVER_THICK&&
 				y>=rect.top+LEVER_THICK&&y<=rect.bottom-LEVER_THICK){
-				if(pWindowInfo->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[0]]->Control==CT_GROUPBOX){
+				if(pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->Control==CT_GROUPBOX){
 					//グループ ボックスの場合は中央をあける
 					if(!(x>=rect.left+LEVER_THICK*3&&x<=rect.right-LEVER_THICK*3&&
@@ -744,5 +745,5 @@
 	SIZE NeedSize;
 
-	ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
+	ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum]->path);
 
 	//必要な幅、高さを共に100ピクセル余裕を持たせる
@@ -754,5 +755,5 @@
 
 	//垂直スクロールバーの設定
-	GetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hRad,SB_VERT,&ScrollInfo);
+	GetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hRad,SB_VERT,&ScrollInfo);
 	ScrollInfo.nMin=0;
 	if(height>NeedSize.cy) ScrollInfo.nMax=0;
@@ -761,8 +762,8 @@
 		ScrollInfo.nPage=height;
 	}
-	SetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hRad,SB_VERT,&ScrollInfo,1);
+	SetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hRad,SB_VERT,&ScrollInfo,1);
 
 	//水平スクロールバーの設定
-	GetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hRad,SB_VERT,&ScrollInfo);
+	GetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hRad,SB_VERT,&ScrollInfo);
 	ScrollInfo.nMin=0;
 	if(weight>NeedSize.cx) ScrollInfo.nMax=0;
@@ -771,5 +772,5 @@
 		ScrollInfo.nPage=weight;
 	}
-	SetScrollInfo(MdiInfo[WndNum].MdiRadInfo->hRad,SB_HORZ,&ScrollInfo,1);
+	SetScrollInfo(MdiInfo[WndNum]->MdiRadInfo->hRad,SB_HORZ,&ScrollInfo,1);
 }
 LRESULT CALLBACK RadWindow(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
@@ -797,15 +798,15 @@
 
 				i=GetWndNum(GetParent(hwnd));
-				i2 = GetWndInfoNum(MdiInfo[i].path);
-				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
-
-				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
+				i2 = GetWndInfoNum(MdiInfo[i]->path);
+				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
+
+				if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
 					if(((wParam&MK_CONTROL)||(wParam&MK_SHIFT))&&
-						MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
 
 						//Shiftキー、Ctrlキーによる複数選択
 						for(i3=0;;i3++){
-							if(MdiInfo[i].MdiRadInfo->SelectingItem[i3]==-1){
-								MdiInfo[i].MdiRadInfo->SelectingItem[i3]=GetItemNumOnMouse(i,i2,mouse.x,mouse.y);
+							if(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]==-1){
+								MdiInfo[i]->MdiRadInfo->SelectingItem[i3]=GetItemNumOnMouse(i,i2,mouse.x,mouse.y);
 								InvalidateRect(hwnd,NULL,0);
 
@@ -826,5 +827,5 @@
 							//アイテム選択中。サイズ、位置変更開始
 
-							if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
+							if(MdiInfo[i]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
 								RadInfo.DraggingRect[0].left=LEVER_THICK;
 								RadInfo.DraggingRect[0].top=LEVER_THICK;
@@ -835,9 +836,9 @@
 							else{
 								i3=0;
-								while(MdiInfo[i].MdiRadInfo->SelectingItem[i3]!=-1){
-									RadInfo.DraggingRect[i3].left=MdiInfo[i].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.x;
-									RadInfo.DraggingRect[i3].top=MdiInfo[i].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.y;
-									RadInfo.DraggingRect[i3].right=MdiInfo[i].MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.x+pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size.cx;
-									RadInfo.DraggingRect[i3].bottom=MdiInfo[i].MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.y+pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size.cy;
+								while(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]!=-1){
+									RadInfo.DraggingRect[i3].left=MdiInfo[i]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.x;
+									RadInfo.DraggingRect[i3].top=MdiInfo[i]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.y;
+									RadInfo.DraggingRect[i3].right=MdiInfo[i]->MdiRadInfo->ClientPos.x+pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.x+pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size.cx;
+									RadInfo.DraggingRect[i3].bottom=MdiInfo[i]->MdiRadInfo->ClientPos.y+pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.y+pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size.cy;
 									RadInfo.DragStartRect[i3]=RadInfo.DraggingRect[i3];
 									i3++;
@@ -877,8 +878,8 @@
 				hParent=GetParent(hwnd);
 				i=GetWndNum(hParent);
-				i2 = GetWndInfoNum(MdiInfo[i].path);
-				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
-
-				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
+				i2 = GetWndInfoNum(MdiInfo[i]->path);
+				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
+
+				if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
 					if(RadInfo.NowDragging){
 						if(RadInfo.DragStartPos.x==mouse.x&&RadInfo.DragStartPos.y==mouse.y){
@@ -889,5 +890,5 @@
 						}
 
-						if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
+						if(MdiInfo[i]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
 							if(RadInfo.NowDragging==SELECTING_FRAME){
 								SetItemNumOnFrame(i,i2,&RadInfo.DraggingRect[0]);
@@ -897,5 +898,5 @@
 								//ウィンドウ枠の調整完了
 								PointAndSize.size=pWindowInfo->size;
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
 								pWindowInfo->size.cx=RadInfo.DraggingRect[0].right-LEVER_THICK;
 								pWindowInfo->size.cy=RadInfo.DraggingRect[0].bottom-LEVER_THICK;
@@ -909,13 +910,13 @@
 						else{
 							i3=0;
-							while(MdiInfo[i].MdiRadInfo->SelectingItem[i3]!=-1){
+							while(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]!=-1){
 								//アイテム枠の調整完了
-								PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos;
-								PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size;
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.x=RadInfo.DraggingRect[i3].left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.y=RadInfo.DraggingRect[i3].top-MdiInfo[i].MdiRadInfo->ClientPos.y;
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size.cx=RadInfo.DraggingRect[i3].right-RadInfo.DraggingRect[i3].left;
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size.cy=RadInfo.DraggingRect[i3].bottom-RadInfo.DraggingRect[i3].top;
+								PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos;
+								PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.x=RadInfo.DraggingRect[i3].left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.y=RadInfo.DraggingRect[i3].top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size.cx=RadInfo.DraggingRect[i3].right-RadInfo.DraggingRect[i3].left;
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size.cy=RadInfo.DraggingRect[i3].bottom-RadInfo.DraggingRect[i3].top;
 								DrawRadWindow(i,pWindowInfo);
 								i3++;
@@ -930,5 +931,5 @@
 				}
 				else if(RadInfo.NowDragging==ITEM_MAKING){
-					if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_BUTTON){
+					if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_BUTTON){
 						//ボタン コントロール作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -943,9 +944,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -961,5 +962,5 @@
 						);
 					}
-					if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_CHECKBOX){
+					if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_CHECKBOX){
 						//チェック ボックス作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -974,9 +975,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0]=InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0]=InsertDlgItem(
 							i,
 							i2,
@@ -994,5 +995,5 @@
 						);
 					}
-					if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_COMBOBOX){
+					if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_COMBOBOX){
 						//コンボ ボックス作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1007,9 +1008,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1027,5 +1028,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_EDIT){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_EDIT){
 						//エディット コントロール作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1040,9 +1041,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1059,5 +1060,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_GROUPBOX){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_GROUPBOX){
 						//グループ ボックス作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1072,9 +1073,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1092,5 +1093,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_HSCROLLBAR){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_HSCROLLBAR){
 						//水平スクロールバー作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1105,9 +1106,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0]=InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0]=InsertDlgItem(
 							i,
 							i2,
@@ -1125,5 +1126,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_IMAGEBOX){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_IMAGEBOX){
 						//イメージ ボックス作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1138,9 +1139,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1156,5 +1157,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_LISTBOX){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_LISTBOX){
 						//リスト ボックス作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1169,9 +1170,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1188,5 +1189,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_LISTVIEW){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_LISTVIEW){
 						//リスト ビュー作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1201,9 +1202,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1220,5 +1221,5 @@
 						);
 					}
-					if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_PROGRESSBAR){
+					if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_PROGRESSBAR){
 						//プロバレス バー作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1233,9 +1234,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1252,5 +1253,5 @@
 						);
 					}
-					if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_RADIOBUTTON){
+					if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_RADIOBUTTON){
 						//ラジオ ボタン作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1265,9 +1266,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1285,5 +1286,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_STATIC){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_STATIC){
 						//スタティック コントロール作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1298,9 +1299,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1318,5 +1319,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_TRACKBAR){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_TRACKBAR){
 						//トラック バー作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1331,9 +1332,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1351,5 +1352,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_TREEVIEW){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_TREEVIEW){
 						//ツリー ビュー作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1364,9 +1365,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1384,5 +1385,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_UPDOWN){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_UPDOWN){
 						//アップ ダウン コントロール作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1397,9 +1398,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1417,5 +1418,5 @@
 						);
 					}
-					else if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_VSCROLLBAR){
+					else if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_VSCROLLBAR){
 						//垂直スクロールバー作成
 						if(RadInfo.DraggingRect[0].left==mouse.x&&RadInfo.DraggingRect[0].top==mouse.y){
@@ -1430,9 +1431,9 @@
 						}
 						RectNaturalFormat(&RadInfo.DraggingRect[0],&rect);
-						pos.x=rect.left-MdiInfo[i].MdiRadInfo->ClientPos.x;
-						pos.y=rect.top-MdiInfo[i].MdiRadInfo->ClientPos.y;
+						pos.x=rect.left-MdiInfo[i]->MdiRadInfo->ClientPos.x;
+						pos.y=rect.top-MdiInfo[i]->MdiRadInfo->ClientPos.y;
 						size.cx=rect.right-rect.left;
 						size.cy=rect.bottom-rect.top;
-						MdiInfo[i].MdiRadInfo->SelectingItem[0] = InsertDlgItem(
+						MdiInfo[i]->MdiRadInfo->SelectingItem[0] = InsertDlgItem(
 							i,
 							i2,
@@ -1450,10 +1451,10 @@
 						);
 					}
-					SendMessage(GetWindow(MdiInfo[i].MdiRadInfo->hTools,GW_CHILD),WM_COMMAND,IDC_TOOL_MOUSE,0);
-					SendMessage(GetWindow(GetWindow(MdiInfo[i].MdiRadInfo->hTools,GW_CHILD),GW_CHILD),TB_CHECKBUTTON,IDC_TOOL_MOUSE,TRUE);
+					SendMessage(GetWindow(MdiInfo[i]->MdiRadInfo->hTools,GW_CHILD),WM_COMMAND,IDC_TOOL_MOUSE,0);
+					SendMessage(GetWindow(GetWindow(MdiInfo[i]->MdiRadInfo->hTools,GW_CHILD),GW_CHILD),TB_CHECKBUTTON,IDC_TOOL_MOUSE,TRUE);
 					ChangePropertyWindow(i,i2);
 
 					//複数選択を解除
-					MdiInfo[i].MdiRadInfo->SelectingItem[1]=-1;
+					MdiInfo[i]->MdiRadInfo->SelectingItem[1]=-1;
 				}
 
@@ -1471,8 +1472,8 @@
 				hParent=GetParent(hwnd);
 				i=GetWndNum(hParent);
-				i2 = GetWndInfoNum(MdiInfo[i].path);
-				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
-
-				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
+				i2 = GetWndInfoNum(MdiInfo[i]->path);
+				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
+
+				if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
 					if(wParam&MK_LBUTTON&&RadInfo.NowDragging){
 						////////////////////////////////////////////////
@@ -1482,12 +1483,12 @@
 							if(RadInfo.DraggingRect[0].right-MIN_ITEM_X<=(mouse.x+LEVER_THICK))
 								RadInfo.DraggingRect[0].left=RadInfo.DraggingRect[0].right-MIN_ITEM_X;
-							else if(mouse.x+LEVER_THICK<MdiInfo[i].MdiRadInfo->ClientPos.x)
-								RadInfo.DraggingRect[0].left=MdiInfo[i].MdiRadInfo->ClientPos.x;
+							else if(mouse.x+LEVER_THICK<MdiInfo[i]->MdiRadInfo->ClientPos.x)
+								RadInfo.DraggingRect[0].left=MdiInfo[i]->MdiRadInfo->ClientPos.x;
 							else RadInfo.DraggingRect[0].left=mouse.x+LEVER_THICK;
 
 							if(RadInfo.DraggingRect[0].bottom-MIN_ITEM_Y<=(mouse.y+LEVER_THICK))
 								RadInfo.DraggingRect[0].top=RadInfo.DraggingRect[0].bottom-MIN_ITEM_Y;
-							else if(mouse.y+LEVER_THICK<MdiInfo[i].MdiRadInfo->ClientPos.y)
-								RadInfo.DraggingRect[0].top=MdiInfo[i].MdiRadInfo->ClientPos.y;
+							else if(mouse.y+LEVER_THICK<MdiInfo[i]->MdiRadInfo->ClientPos.y)
+								RadInfo.DraggingRect[0].top=MdiInfo[i]->MdiRadInfo->ClientPos.y;
 							else RadInfo.DraggingRect[0].top=mouse.y+LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1496,11 +1497,11 @@
 							if(mouse.x-LEVER_THICK-MIN_ITEM_X<=RadInfo.DraggingRect[0].left)
 								RadInfo.DraggingRect[0].right=RadInfo.DraggingRect[0].left+MIN_ITEM_X;
-							else if(mouse.x>MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx)
-								RadInfo.DraggingRect[0].right=MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx;
+							else if(mouse.x>MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx)
+								RadInfo.DraggingRect[0].right=MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx;
 							else RadInfo.DraggingRect[0].right=mouse.x-LEVER_THICK;
 
 							if(RadInfo.DraggingRect[0].bottom-MIN_ITEM_Y<=(mouse.y+LEVER_THICK)) RadInfo.DraggingRect[0].top=RadInfo.DraggingRect[0].bottom-MIN_ITEM_Y;
-							else if(mouse.y+LEVER_THICK<MdiInfo[i].MdiRadInfo->ClientPos.y)
-								RadInfo.DraggingRect[0].top=MdiInfo[i].MdiRadInfo->ClientPos.y;
+							else if(mouse.y+LEVER_THICK<MdiInfo[i]->MdiRadInfo->ClientPos.y)
+								RadInfo.DraggingRect[0].top=MdiInfo[i]->MdiRadInfo->ClientPos.y;
 							else RadInfo.DraggingRect[0].top=mouse.y+LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1509,12 +1510,12 @@
 							if(RadInfo.DraggingRect[0].right-MIN_ITEM_X<=(mouse.x+LEVER_THICK))
 								RadInfo.DraggingRect[0].left=RadInfo.DraggingRect[0].right-MIN_ITEM_X;
-							else if(mouse.x+LEVER_THICK<MdiInfo[i].MdiRadInfo->ClientPos.x)
-								RadInfo.DraggingRect[0].left=MdiInfo[i].MdiRadInfo->ClientPos.x;
+							else if(mouse.x+LEVER_THICK<MdiInfo[i]->MdiRadInfo->ClientPos.x)
+								RadInfo.DraggingRect[0].left=MdiInfo[i]->MdiRadInfo->ClientPos.x;
 							else RadInfo.DraggingRect[0].left=mouse.x+LEVER_THICK;
 
 							if(mouse.y-LEVER_THICK-MIN_ITEM_Y<=RadInfo.DraggingRect[0].top)
 								RadInfo.DraggingRect[0].bottom=RadInfo.DraggingRect[0].top+MIN_ITEM_Y;
-							else if(mouse.y>MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy)
-								RadInfo.DraggingRect[0].bottom=MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy;
+							else if(mouse.y>MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy)
+								RadInfo.DraggingRect[0].bottom=MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy;
 							else RadInfo.DraggingRect[0].bottom=mouse.y-LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1523,12 +1524,12 @@
 							if(mouse.x-LEVER_THICK-MIN_ITEM_X<=RadInfo.DraggingRect[0].left)
 								RadInfo.DraggingRect[0].right=RadInfo.DraggingRect[0].left+MIN_ITEM_X;
-							else if((mouse.x>MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx)&&MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
-								RadInfo.DraggingRect[0].right=MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx;
+							else if((mouse.x>MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx)&&MdiInfo[i]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
+								RadInfo.DraggingRect[0].right=MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx;
 							else RadInfo.DraggingRect[0].right=mouse.x-LEVER_THICK;
 
 							if(mouse.y-LEVER_THICK-MIN_ITEM_Y<=RadInfo.DraggingRect[0].top)
 								RadInfo.DraggingRect[0].bottom=RadInfo.DraggingRect[0].top+MIN_ITEM_Y;
-							else if((mouse.y>MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy)&&MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
-								RadInfo.DraggingRect[0].bottom=MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy;
+							else if((mouse.y>MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy)&&MdiInfo[i]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
+								RadInfo.DraggingRect[0].bottom=MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy;
 							else RadInfo.DraggingRect[0].bottom=mouse.y-LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1537,6 +1538,6 @@
 							if(RadInfo.DraggingRect[0].right-MIN_ITEM_X<=(mouse.x+LEVER_THICK))
 								RadInfo.DraggingRect[0].left=RadInfo.DraggingRect[0].right-MIN_ITEM_X;
-							else if(mouse.x+LEVER_THICK<MdiInfo[i].MdiRadInfo->ClientPos.x)
-								RadInfo.DraggingRect[0].left=MdiInfo[i].MdiRadInfo->ClientPos.x;
+							else if(mouse.x+LEVER_THICK<MdiInfo[i]->MdiRadInfo->ClientPos.x)
+								RadInfo.DraggingRect[0].left=MdiInfo[i]->MdiRadInfo->ClientPos.x;
 							else RadInfo.DraggingRect[0].left=mouse.x+LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1545,6 +1546,6 @@
 							if(mouse.x-LEVER_THICK-MIN_ITEM_X<=RadInfo.DraggingRect[0].left)
 								RadInfo.DraggingRect[0].right=RadInfo.DraggingRect[0].left+MIN_ITEM_X;
-							else if((mouse.x>MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx)&&MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
-								RadInfo.DraggingRect[0].right=MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx;
+							else if((mouse.x>MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx)&&MdiInfo[i]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
+								RadInfo.DraggingRect[0].right=MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx;
 							else RadInfo.DraggingRect[0].right=mouse.x-LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1553,6 +1554,6 @@
 							if(RadInfo.DraggingRect[0].bottom-MIN_ITEM_Y<=(mouse.y+LEVER_THICK))
 								RadInfo.DraggingRect[0].top=RadInfo.DraggingRect[0].bottom-MIN_ITEM_Y;
-							else if(mouse.y+LEVER_THICK<MdiInfo[i].MdiRadInfo->ClientPos.y)
-								RadInfo.DraggingRect[0].top=MdiInfo[i].MdiRadInfo->ClientPos.y;
+							else if(mouse.y+LEVER_THICK<MdiInfo[i]->MdiRadInfo->ClientPos.y)
+								RadInfo.DraggingRect[0].top=MdiInfo[i]->MdiRadInfo->ClientPos.y;
 							else RadInfo.DraggingRect[0].top=mouse.y+LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1561,6 +1562,6 @@
 							if(mouse.y-LEVER_THICK-MIN_ITEM_Y<=RadInfo.DraggingRect[0].top) 
 								RadInfo.DraggingRect[0].bottom=RadInfo.DraggingRect[0].top+MIN_ITEM_Y;
-							else if((mouse.y>MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy)&&MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
-								RadInfo.DraggingRect[0].bottom=MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy;
+							else if((mouse.y>MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy)&&MdiInfo[i]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW)
+								RadInfo.DraggingRect[0].bottom=MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy;
 							else RadInfo.DraggingRect[0].bottom=mouse.y-LEVER_THICK;
 							DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[0],&RadInfo.OldDraggingRect[0],0);
@@ -1568,13 +1569,13 @@
 						else if(RadInfo.NowDragging==FRAME_INSIDE){
 							i3=0;
-							while(MdiInfo[i].MdiRadInfo->SelectingItem[i3]!=-1){
+							while(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]!=-1){
 								i4=RadInfo.DragStartRect[i3].left+mouse.x-RadInfo.DragStartPos.x;
 
-								if(i4>MdiInfo[i].MdiRadInfo->ClientPos.x){
+								if(i4>MdiInfo[i]->MdiRadInfo->ClientPos.x){
 									i4=RadInfo.DragStartRect[i3].right+mouse.x-RadInfo.DragStartPos.x;
-									if(i4<MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx) i4=0;
-									else i4-=MdiInfo[i].MdiRadInfo->ClientPos.x+MdiInfo[i].MdiRadInfo->ClientSize.cx;
+									if(i4<MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx) i4=0;
+									else i4-=MdiInfo[i]->MdiRadInfo->ClientPos.x+MdiInfo[i]->MdiRadInfo->ClientSize.cx;
 								}
-								else i4-=MdiInfo[i].MdiRadInfo->ClientPos.x;
+								else i4-=MdiInfo[i]->MdiRadInfo->ClientPos.x;
 								//i4は枠外に出たときのポインタと壁にあたったコントロールとの差
 								RadInfo.DraggingRect[i3].left=RadInfo.DragStartRect[i3].left+mouse.x-RadInfo.DragStartPos.x-i4;
@@ -1582,14 +1583,14 @@
 
 								i4=RadInfo.DragStartRect[i3].top+mouse.y-RadInfo.DragStartPos.y;
-								if(i4>MdiInfo[i].MdiRadInfo->ClientPos.y){
+								if(i4>MdiInfo[i]->MdiRadInfo->ClientPos.y){
 									i4=RadInfo.DragStartRect[i3].bottom+mouse.y-RadInfo.DragStartPos.y;
-									if(i4<MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy) i4=0;
-									else i4-=MdiInfo[i].MdiRadInfo->ClientPos.y+MdiInfo[i].MdiRadInfo->ClientSize.cy;
+									if(i4<MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy) i4=0;
+									else i4-=MdiInfo[i]->MdiRadInfo->ClientPos.y+MdiInfo[i]->MdiRadInfo->ClientSize.cy;
 								}
-								else i4-=MdiInfo[i].MdiRadInfo->ClientPos.y;
+								else i4-=MdiInfo[i]->MdiRadInfo->ClientPos.y;
 								RadInfo.DraggingRect[i3].top=RadInfo.DragStartRect[i3].top+mouse.y-RadInfo.DragStartPos.y-i4;
 								RadInfo.DraggingRect[i3].bottom=RadInfo.DragStartRect[i3].bottom+mouse.y-RadInfo.DragStartPos.y-i4;
 
-								if(MdiInfo[i].MdiRadInfo->SelectingItem[1]==-1) i4=1;
+								if(MdiInfo[i]->MdiRadInfo->SelectingItem[1]==-1) i4=1;
 								else i4=0;
 								DrawFrame(hwnd,i,i2,&RadInfo.DraggingRect[i3],&RadInfo.OldDraggingRect[i3],i4);
@@ -1636,37 +1637,37 @@
 				hParent=GetParent(hwnd);
 				i=GetWndNum(hParent);
-				i2=GetWndInfoNum(MdiInfo[i].path);
-				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
-				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
-					if(MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
+				i2=GetWndInfoNum(MdiInfo[i]->path);
+				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
+				if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
+					if(MdiInfo[i]->MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
 						temp2[0]=0;
-						if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_BUTTON||
-							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_CHECKBOX||
-							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX||
-							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON||
-							pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
+						if(pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_BUTTON||
+							pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_CHECKBOX||
+							pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_IMAGEBOX||
+							pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_RADIOBUTTON||
+							pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_STATIC)
 						{
 							sprintf(temporary,"%s_%s_Click",
 								pWindowInfo->GetName().c_str(),
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->GetName().c_str()
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetName().c_str()
 							);
 						}
-						else if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
+						else if(pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_COMBOBOX)
 						{
 							sprintf(temporary,"%s_%s_EditChange",
 								pWindowInfo->GetName().c_str(),
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->GetName().c_str());
-						}
-						else if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetName().c_str());
+						}
+						else if(pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_EDIT)
 						{
 							sprintf(temporary,"%s_%s_Change",
 								pWindowInfo->GetName().c_str(),
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->GetName().c_str());
-						}
-						else if(pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetName().c_str());
+						}
+						else if(pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->Control==CT_LISTBOX)
 						{
 							sprintf(temporary,"%s_%s_SelChange",
 								pWindowInfo->GetName().c_str(),
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->GetName().c_str());
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetName().c_str());
 						}
 						else temporary[0]=0;
@@ -1680,12 +1681,12 @@
 				hParent=GetParent(hwnd);
 				i=GetWndNum(hParent);
-				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
-				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
-					if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
+				ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
+				if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
+					if(MdiInfo[i]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
 						PointAndSize.pos=pWindowInfo->pos;
 						PointAndSize.size=pWindowInfo->size;
 						if(GetKeyState(VK_SHIFT)&0x8000){
 							if(wParam==VK_RIGHT||wParam==VK_LEFT||wParam==VK_DOWN||wParam==VK_UP)
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
 
 							if(wParam==VK_RIGHT)
@@ -1709,19 +1710,19 @@
 					}
 					else{
-						PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->pos;
-						PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->size;
+						PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->pos;
+						PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->size;
 						if(wParam==VK_RIGHT){
 							if(GetKeyState(VK_SHIFT)&0x8000){
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->size.cx++;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->size.cx++;
 							}
 							else{
 								for(i3=0;;i3++){
-									if(MdiInfo[i].MdiRadInfo->SelectingItem[i3]==-1) break;
-									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos;
-									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size;
-									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
-
-									pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.x++;
+									if(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]==-1) break;
+									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos;
+									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size;
+									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
+
+									pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.x++;
 								}
 							}
@@ -1734,15 +1735,15 @@
 						else if(wParam==VK_LEFT){
 							if(GetKeyState(VK_SHIFT)&0x8000){
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->size.cx--;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->size.cx--;
 							}
 							else{
 								for(i3=0;;i3++){
-									if(MdiInfo[i].MdiRadInfo->SelectingItem[i3]==-1) break;
-									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos;
-									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size;
-									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
-
-									pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.x--;
+									if(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]==-1) break;
+									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos;
+									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size;
+									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
+
+									pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.x--;
 								}
 							}
@@ -1755,15 +1756,15 @@
 						else if(wParam==VK_UP){
 							if(GetKeyState(VK_SHIFT)&0x8000){
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->size.cy--;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->size.cy--;
 							}
 							else{
 								for(i3=0;;i3++){
-									if(MdiInfo[i].MdiRadInfo->SelectingItem[i3]==-1) break;
-									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos;
-									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size;
-									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
-
-									pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.y--;
+									if(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]==-1) break;
+									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos;
+									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size;
+									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
+
+									pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.y--;
 								}
 							}
@@ -1776,15 +1777,15 @@
 						else if(wParam==VK_DOWN){
 							if(GetKeyState(VK_SHIFT)&0x8000){
-								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-								pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[0]]->size.cy++;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+								pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->size.cy++;
 							}
 							else{
 								for(i3=0;;i3++){
-									if(MdiInfo[i].MdiRadInfo->SelectingItem[i3]==-1) break;
-									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos;
-									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->size;
-									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
-
-									pWindowInfo->childWindowInfos[MdiInfo[i].MdiRadInfo->SelectingItem[i3]]->pos.y++;
+									if(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]==-1) break;
+									PointAndSize.pos=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos;
+									PointAndSize.size=pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->size;
+									Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i]->MdiRadInfo->SelectingItem[i3],(DWORD)&PointAndSize);
+
+									pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[i3]]->pos.y++;
 								}
 							}
@@ -1803,6 +1804,6 @@
 		case WM_SETFOCUS:
 			i=GetWndNum(GetParent(hwnd));
-			if(MdiInfo[i].MdiRadInfo->ButtonSelect==NON_TOOL)
-				MdiInfo[i].MdiRadInfo->ButtonSelect=IDC_TOOL_MOUSE;
+			if(MdiInfo[i]->MdiRadInfo->ButtonSelect==NON_TOOL)
+				MdiInfo[i]->MdiRadInfo->ButtonSelect=IDC_TOOL_MOUSE;
 			InvalidateRect(hwnd,NULL,0);
 			return 0;
@@ -1810,6 +1811,6 @@
 			i=GetWndNum(GetParent(hwnd));
 			if(i==-1) return 0;	//ウィンドウが破棄された場合
-			if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE)
-				MdiInfo[i].MdiRadInfo->ButtonSelect=NON_TOOL;
+			if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE)
+				MdiInfo[i]->MdiRadInfo->ButtonSelect=NON_TOOL;
 			InvalidateRect(hwnd,NULL,0);
 			return 0;
@@ -1817,5 +1818,5 @@
 			i=GetWndNum(GetParent(hwnd));
 			if(i==-1) return 0;	//ウィンドウが初期状態の場合
-			i2=GetWndInfoNum(MdiInfo[i].path);
+			i2=GetWndInfoNum(MdiInfo[i]->path);
 
 			ScrollInfo.cbSize=sizeof(SCROLLINFO);
@@ -1828,9 +1829,9 @@
 			hdc=BeginPaint(hwnd,&ps);
 			BitBlt(hdc,0,0,ScreenX*2,ScreenY*2,
-				MdiInfo[i].MdiRadInfo->hMemDC,si2.nPos,ScrollInfo.nPos,SRCCOPY);
+				MdiInfo[i]->MdiRadInfo->hMemDC,si2.nPos,ScrollInfo.nPos,SRCCOPY);
 			EndPaint(hwnd,&ps);
 
-			if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE||MdiInfo[i].MdiRadInfo->ButtonSelect==NON_TOOL)
-				DrawSelectingRect(hwnd,i,i2,MdiInfo[i].MdiRadInfo->ButtonSelect);
+			if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE||MdiInfo[i]->MdiRadInfo->ButtonSelect==NON_TOOL)
+				DrawSelectingRect(hwnd,i,i2,MdiInfo[i]->MdiRadInfo->ButtonSelect);
 			return 0;
 		case WM_CONTEXTMENU:
@@ -1841,7 +1842,7 @@
 			SetFocus(hwnd);
 			i=GetWndNum(hParent);
-			i2=GetWndInfoNum(MdiInfo[i].path);
-
-			if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
+			i2=GetWndInfoNum(MdiInfo[i]->path);
+
+			if(MdiInfo[i]->MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
 				mouse.x=LOWORD(lParam);
 				mouse.y=HIWORD(lParam);
@@ -1851,5 +1852,5 @@
 				InvalidateRect(hwnd,NULL,0);
 				extern HMENU hRadMenuBase;
-				if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW)
+				if(MdiInfo[i]->MdiRadInfo->SelectingItem[0]==SELECT_WINDOW)
 					TrackPopupMenu(GetSubMenu(hRadMenuBase,0),TPM_LEFTALIGN,LOWORD(lParam),HIWORD(lParam),0,hwnd,0);
 				else TrackPopupMenu(GetSubMenu(hRadMenuBase,1),TPM_LEFTALIGN,LOWORD(lParam),HIWORD(lParam),0,hwnd,0);
@@ -1869,19 +1870,19 @@
 					hParent=GetParent(hwnd);
 					i=GetWndNum(hParent);
-					i2=GetWndInfoNum(MdiInfo[i].path);
+					i2=GetWndInfoNum(MdiInfo[i]->path);
 
 					//削除順序を考慮しなければならないので、バブルソートを行う
 					int i5,i6;
 					for(i5=0;;i5++){
-						if(MdiInfo[i].MdiRadInfo->SelectingItem[i5]==-1) break;
+						if(MdiInfo[i]->MdiRadInfo->SelectingItem[i5]==-1) break;
 					}
 					for(i3=0;i3<i5-1;i3++){
 						for(i4=i5-1;i4>i3;i4--){
-							if(MdiInfo[i].MdiRadInfo->SelectingItem[i4] >
-								MdiInfo[i].MdiRadInfo->SelectingItem[i4-1]){
-								i6=MdiInfo[i].MdiRadInfo->SelectingItem[i4];
-								MdiInfo[i].MdiRadInfo->SelectingItem[i4]=
-									MdiInfo[i].MdiRadInfo->SelectingItem[i4-1];
-								MdiInfo[i].MdiRadInfo->SelectingItem[i4-1]=i6;
+							if(MdiInfo[i]->MdiRadInfo->SelectingItem[i4] >
+								MdiInfo[i]->MdiRadInfo->SelectingItem[i4-1]){
+								i6=MdiInfo[i]->MdiRadInfo->SelectingItem[i4];
+								MdiInfo[i]->MdiRadInfo->SelectingItem[i4]=
+									MdiInfo[i]->MdiRadInfo->SelectingItem[i4-1];
+								MdiInfo[i]->MdiRadInfo->SelectingItem[i4-1]=i6;
 							}
 						}
@@ -1890,8 +1891,8 @@
 
 					for(i3=0;;i3++){
-						if(MdiInfo[i].MdiRadInfo->SelectingItem[i3]==-1) break;
-						DeleteDlgItem(i,i2,MdiInfo[i].MdiRadInfo->SelectingItem[i3],1);
-					}
-					for(i3=0;i3<MAX_RAD_SELITEM;i3++) MdiInfo[i].MdiRadInfo->SelectingItem[i3]=-1;
+						if(MdiInfo[i]->MdiRadInfo->SelectingItem[i3]==-1) break;
+						DeleteDlgItem(i,i2,MdiInfo[i]->MdiRadInfo->SelectingItem[i3],1);
+					}
+					for(i3=0;i3<MAX_RAD_SELITEM;i3++) MdiInfo[i]->MdiRadInfo->SelectingItem[i3]=-1;
 
 					ResetState_EditMenu();
@@ -1955,10 +1956,10 @@
 	else{
 		//ツールボタンウィンドウ(長さ、i)
-		GetClientRect(GetWindow(MdiInfo[WndNum].MdiRadInfo->hTools,GW_CHILD),&rect);
+		GetClientRect(GetWindow(MdiInfo[WndNum]->MdiRadInfo->hTools,GW_CHILD),&rect);
 		if(height>rect.bottom+1) i=rect.bottom+1;
 		else i=height;
 
 		//プロパティウィンドウ(長さ、i2)
-		GetClientRect(GetWindow(MdiInfo[WndNum].MdiRadInfo->hProperty,GW_CHILD),&rect);
+		GetClientRect(GetWindow(MdiInfo[WndNum]->MdiRadInfo->hProperty,GW_CHILD),&rect);
 		i2=height-i;
 
@@ -1968,16 +1969,16 @@
 		}
 	}
-	MoveWindow(MdiInfo[WndNum].MdiRadInfo->hTools,weight-172,0,172,i,1);
-	MoveWindow(MdiInfo[WndNum].MdiRadInfo->hProperty,weight-172,i,172,i2,1);
-
-	GetWindowRect(MdiInfo[WndNum].MdiRadInfo->hSupport,&rect);
+	MoveWindow(MdiInfo[WndNum]->MdiRadInfo->hTools,weight-172,0,172,i,1);
+	MoveWindow(MdiInfo[WndNum]->MdiRadInfo->hProperty,weight-172,i,172,i2,1);
+
+	GetWindowRect(MdiInfo[WndNum]->MdiRadInfo->hSupport,&rect);
 	rect.right-=rect.left;
 	rect.bottom-=rect.top;
 
 	//RADウィンドウ
-	MoveWindow(MdiInfo[WndNum].MdiRadInfo->hRad,0,0,weight-172,height-rect.bottom,1);
+	MoveWindow(MdiInfo[WndNum]->MdiRadInfo->hRad,0,0,weight-172,height-rect.bottom,1);
 
 	//サポートウィンドウ
-	MoveWindow(MdiInfo[WndNum].MdiRadInfo->hSupport,0,height-rect.bottom,weight-172,rect.bottom,1);
+	MoveWindow(MdiInfo[WndNum]->MdiRadInfo->hSupport,0,height-rect.bottom,weight-172,rect.bottom,1);
 }
 LRESULT CALLBACK MDIClientWindow_Rad(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
@@ -1995,5 +1996,5 @@
 			if(i==-1) return 0;	//ウィンドウが初期状態の場合
 
-			i=SendMessage(hDocCombo,CB_FINDSTRINGEXACT,0,(long)MdiInfo[i].title.c_str());
+			i=SendMessage(hDocCombo,CB_FINDSTRINGEXACT,0,(long)MdiInfo[i]->title.c_str());
 			SendMessage(hDocCombo,CB_SETCURSEL,i,0);
 			SetStatusText(NULL);
